org.apache.olingo.odata2.jpa.processor.api.model.mapping

## Class JPAEntityTypeMapType

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.model.mapping.JPAEntityTypeMapType

-     public class JPAEntityTypeMapType
      extends Object

  The default name for EDM entity type is derived from JPA entity type name. This can be overriden using JPAEntityTypeMapType.

  Java class for JPAEntityTypeMapType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="JPAEntityTypeMapType">
       <complexContent>
       <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       <sequence>
       <element name="EDMEntityType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
       <element name="EDMEntitySet" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
       <element name="JPAAttributes"
       type="{http://www.apache.org/olingo/odata2/jpa/processor/api/model/mapping}JPAAttributeMapType"/>
       <element name="JPARelationships"
       type="{http://www.apache.org/olingo/odata2/jpa/processor/api/model/mapping}JPARelationshipMapType"/>
       </sequence>
       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       <attribute name="exclude" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
       </restriction>
       </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `edmEntitySet`
    `protected String` | `edmEntityType`
    `protected Boolean` | `exclude`
    `protected JPAAttributeMapType` | `jpaAttributes`
    `protected JPARelationshipMapType` | `jpaRelationships`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAEntityTypeMapType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEDMEntitySet()` Gets the value of the edmEntitySet property.
    `String` | `getEDMEntityType()` Gets the value of the edmEntityType property.
    `JPAAttributeMapType` | `getJPAAttributes()` Gets the value of the jpaAttributes property.
    `JPARelationshipMapType` | `getJPARelationships()` Gets the value of the jpaRelationships property.
    `String` | `getName()` Gets the value of the name property.
    `boolean` | `isExclude()` Gets the value of the exclude property.
    `void` | `setEDMEntitySet(String value)` Sets the value of the edmEntitySet property.
    `void` | `setEDMEntityType(String value)` Sets the value of the edmEntityType property.
    `void` | `setExclude(Boolean value)` Sets the value of the exclude property.
    `void` | `setJPAAttributes(JPAAttributeMapType value)` Sets the value of the jpaAttributes property.
    `void` | `setJPARelationships(JPARelationshipMapType value)` Sets the value of the jpaRelationships property.
    `void` | `setName(String value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### edmEntityType

          protected String edmEntityType

    - #### edmEntitySet

          protected String edmEntitySet

    - #### jpaAttributes

          protected JPAAttributeMapType jpaAttributes

    - #### jpaRelationships

          protected JPARelationshipMapType jpaRelationships

    - #### name

          protected String name

    - #### exclude

          protected Boolean exclude

  - ### Constructor Detail

    - #### JPAEntityTypeMapType

          public JPAEntityTypeMapType()

  - ### Method Detail

    - #### getEDMEntityType

          public String getEDMEntityType()

      Gets the value of the edmEntityType property.
      Returns:
        possible object is `String`

    - #### setEDMEntityType

          public void setEDMEntityType(String value)

      Sets the value of the edmEntityType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEDMEntitySet

          public String getEDMEntitySet()

      Gets the value of the edmEntitySet property.
      Returns:
        possible object is `String`

    - #### setEDMEntitySet

          public void setEDMEntitySet(String value)

      Sets the value of the edmEntitySet property.
      Parameters:
        `value` - allowed object is `String`

    - #### getJPAAttributes

          public JPAAttributeMapType getJPAAttributes()

      Gets the value of the jpaAttributes property.
      Returns:
        possible object is `JPAAttributeMapType`

    - #### setJPAAttributes

          public void setJPAAttributes(JPAAttributeMapType value)

      Sets the value of the jpaAttributes property.
      Parameters:
        `value` - allowed object is `JPAAttributeMapType`

    - #### getJPARelationships

          public JPARelationshipMapType getJPARelationships()

      Gets the value of the jpaRelationships property.
      Returns:
        possible object is `JPARelationshipMapType`

    - #### setJPARelationships

          public void setJPARelationships(JPARelationshipMapType value)

      Sets the value of the jpaRelationships property.
      Parameters:
        `value` - allowed object is `JPARelationshipMapType`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### isExclude

          public boolean isExclude()

      Gets the value of the exclude property.
      Returns:
        possible object is `Boolean`

    - #### setExclude

          public void setExclude(Boolean value)

      Sets the value of the exclude property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.